For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTNotification Webhook
        • GETGet Subscriptions
        • POSTCreate Subscription
        • PATCHUpdate Subscription
Get supportSee a Demo
API ReferenceNotificationsSubscriptions

Get Subscriptions

GET
/v2/issuers/:organizationId/subscriptions
GET
/v2/issuers/:organizationId/subscriptions
$curl https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "type": "subscription",
5 "attributes": {
6 "eventName": "earnedRewardApproved",
7 "webhookUrl": "https://webhookUrl.com/post",
8 "enabled": true
9 },
10 "id": "0193i257-014e-7dd2-9455-fb964d9c85cr"
11 }
12 ]
13}

Call this endpoint to fetch the subscriptions of the provided issuer.
Required scopes: notifications:read

Was this page helpful?
Previous

Create Subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard

Query parameters

filter[eventName]enumOptional

Response

This endpoint returns an object.
datalist of objects

Errors

400
Invalid Request
401
Unauthorized Error
500
Internal Server Error